#ifndef __LANGUAGE__
#define __LANGUAGE__

#include <Resources.h>
#include <Speech.h>
#include <String.h>
#include <TextUtils.h>

#ifndef __STRUCT__
#include "Struct.h"
#endif

#ifndef __SPEAKINGERRORS__
#include "Speaking_Errors.h"
#endif

#define kBaseResID		128
#define kLanguageRes	'STR#'
#define kTREEType		'LANG'

OSErr		MakeNewLanguage			(SpeechInfoPtr theSpeechInfo);
OSErr		AddStringsToLanguage	(SpeechInfoPtr theSpeechInfo,
									LanguageModelListPtr currentLang,
									short resID);
OSErr		ReadInLanguages			(SpeechInfoPtr theSpeechInfo);
OSErr		GetTREERes				(TREEResourcePtr *TREEResPtr,
									short resID,
									short index,
									short *onlySubPath);
OSErr		RegisterCommand			(TREEResourcePtr theTREEResPtr,
									CommandPtr *theCommand);
OSErr		GetFlagsFromTREE		(long *theFlags,
									TREEResourcePtr theTREEResPtr);
OSErr		GetTypeFromTREE			(OSType *theType,
									TREEResourcePtr theTREEResPtr);
OSErr		GetIDFromTREE			(long *theID,
									TREEResourcePtr theTREEResPtr);
OSErr		GetStringFromTREE		(Str255 theString,
									TREEResourcePtr theTREEResPtr);

#endif
