#ifndef __STRUCT__
#define __STRUCT__

#include <AppleEvents.h>
#include "SpeechRecognition.h"

typedef struct LanguageModelList *LanguageModelListPtr;

struct LanguageModelList {
	SRLanguageModel			theLanguage;
	LanguageModelListPtr	nextLanguage;
	short					resID;
};

typedef struct LanguageModelList LanguageModelList;

struct SpeechInfoStruct {
	long					ID;
	SRRecognitionSystem		recogSystem;
	SRRecognizer			theRecognizer;
	LanguageModelListPtr	languages;
	AEEventHandlerUPP		SpeechDoneUPP;
	long					attributes;
};

typedef struct SpeechInfoStruct SpeechInfoStruct;
typedef struct SpeechInfoStruct *SpeechInfoPtr;

struct TREEResource {
	long					flags;
	OSType					type;
	long					ID;
	char					name[1];	/* Variable length field */
};

typedef struct TREEResource TREEResource;
typedef struct TREEResource *TREEResourcePtr;
typedef struct TREEResource **TREEResourceHandle;

struct Command {
	unsigned long	type;
	long			flags,
					ID;
};

typedef struct Command Command;
typedef struct Command *CommandPtr;
typedef struct Command **CommandHdl;

#endif
