/*
**	Apple Macintosh Developer Technical Support
**
**	Error codes for errors returned from Speaking functions.
**
**	by Mark Cookson, Apple Developer Technical Support
**
**	File:	Speaking_Errors.h
**
**	Copyright 1996 Apple Computer, Inc.
**	All rights reserved.
**
**	You may incorporate this sample code into your applications without
**	restriction, though the sample code has been provided "AS IS" and the
**	responsibility for its operation is 100% yours.  However, what you are
**	not permitted to do is to redistribute the source as "Apple Sample
**	Code" after having made changes. If you're going to re-distribute the
**	source, we require that you make it clear in the source that the code
**	was descended from Apple Sample Code, but that you've made changes.
*/

#ifndef __SPEAKINGERRORS__
#define __SPEAKINGERRORS__

#define kInitErr				128	/* An error starting up that we can't recover from */
#define kNotEnoughSpeechVersion	129	/* An old version of Speech Manager is running */
#define kNilPtrErr				131	/* A nil pointer was passed to a routine */
#define kBadRange				132	/* A value that is out of range was passed */
#define kBadValue				133	/* A bad value was passed */
#define kFileErr				136	/* An error directly relating a file operation */

#endif
